/* lspart : lista la tabla de particiones
 *
 * Copyright 2004-2008 Proyecto Brutalix
 * Liberado bajo licencia GPL <http://www.gnu.org/licenses/gpl.txt>
 *
 */

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <errno.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
	unsigned char table[64];
	int i, fd;
  
	if (argc != 2) {
  		fprintf(stderr, "Usage: lspart <partition>\n");
		exit(1);
	}
	fd = open(argv[1], O_RDONLY);
	if (fd == -1 ) {
  		perror(argv[1]);
		exit(1);
	}
	lseek(fd, 446, SEEK_SET);
	read(fd, table, 64);
	close(fd);
	for (i=0; i<4; i++)
		printf("%d: %2x\n", i+1, table[4+i*16]);
	exit(0);
}
