#!/bin/sh

# Copyright 2004-2008 Proyecto Brutalix
# Liberado bajo licencia GPL <http://www.gnu.org/licenses/gpl.txt>

if [ -z $1 ] ; then
	echo
	echo No has especificado opciones
	echo
elif [ $1 = "-h" ] ; then
	echo
elif [ -z $2 ] ; then
	echo
	echo No has especidicado dispositivo
	echo
	exit 1
elif [ ! -b $2 ] ; then 
        echo
	echo $2 no es un dispositivo de bloques
	echo
	exit 1
fi

case "$1" in

	-s)
		dd if=$2 of=/brt_cache/mbr.img count=1 bs=512
	;;
	-r)
		dd if=/brt_cache/mbr.img of=$2
	;;
	-sf)
		dd if=$2 of=mbr.img count=1 bs=512
	;;
	-rf)
		dd if=mbr.img of=$2
	;;
	-h)
       		echo Gestor de MBR Brutalix
		echo uso: mbr.sh [opciones] dispositivo
	        echo -h muestra esta ayuda
	        echo -s guarda MBR en la cache
	        echo -r restaura MBR desde la cache
	        echo -sf guarda MBR en fichero
	        echo -rf restaura MBR desde fichero
		echo
        ;;
	*)
		echo
		echo opcion desconocida
		$0 -h
		exit 1
	;;
esac

