#!/bin/sh

# Copyright 2004-2008 Proyecto Brutalix
# Liberado bajo licencia GPL <http://www.gnu.org/licenses/gpl.txt>

SERVIDOR=10.3.18.1
DIRIMG=/mnt/almacen
DIRIMGOLD=$DIRIMG
PARTICION=hda1
NUEVA=""
PUERTO=1234
FICHERO=$DIRIMG/$1/$PARTICION".img.gz"
echo $FICHERO
if [ -b /dev/$2 ] ; then
	PARTICION=$2
fi
if [ -z $1 ] ; then
	echo no has especificado parametros
	exit
elif [[ -f $FICHERO ]] ; then 
	echo existe imagen del aula, procediendo a crear copia de seguridad
	DIRIMG=$DIRIMG/${1}".new"
	if [ -d $DIRIMG ] ; then 
		echo
		echo Existe directorio de subida de imagen. Quizas fracaso una subida anterior o ya estas subiendo esta imagen
		echo pulsa ENTER para continuar o Ctrl+C para cancelar
		read
	else
	mkdir $DIRIMG
	fi
else    echo no existe imagen del aula, procediendo a crearla
	NUEVA=1
	DIRIMG=$DIRIMG/$1
	echo creando $DIRIMG
	mkdir $DIRIMG
fi
nc -l -p $PUERTO > $DIRIMG/mbr.img
nc -l -p $PUERTO > $DIRIMG/particiones.txt
nc -l -p $PUERTO > $DIRIMG/${PARTICION}.img.gz
echo valor de nueva= $NUEVA
if [ $NUEVA ] ; then
	cd $DIRIMGOLD
        btmakemetafile $1 http://$SERVIDOR:6969/announce
	exit
else 	
	if [ -d $DIRIMGOLD/${1}.old ] ; then
		rm -r  $DIRIMGOLD/${1}.old
	fi
	if [ -d $DIRIMGOLD/${1} ] ; then
		mv $DIRIMGOLD/${1} $DIRIMGOLD/${1}.old
	fi
	mv $DIRIMG  $DIRIMGOLD/${1}
	cd $DIRIMGOLD
	echo creando fichero $1.torrent
	btmakemetafile $1 http://$SERVIDOR:6969/announce
fi
